Subject: Re: [syzbot] [fs?] INFO: task hung in pipe_release (4)

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Jul 2023 16:07:37 -0700

On Wed, 12 Jul 2023 11:54:33 -0700 syzbot wrote:
> syzbot has bisected this issue to:
> 
> commit 7ac7c987850c3ec617c778f7bd871804dc1c648d
> Author: David Howells <[email-masked]>
> Date:   Mon May 22 12:11:22 2023 +0000
> 
>     udp: Convert udp_sendpage() to use MSG_SPLICE_PAGES
> 
> bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=15853bcaa80000
> start commit:   3f01e9fed845 Merge tag 'linux-watchdog-6.5-rc2' of git://w..
> git tree:       upstream
> final oops:     https://syzkaller.appspot.com/x/report.txt?x=17853bcaa80000
> console output: https://syzkaller.appspot.com/x/log.txt?x=13853bcaa80000
> kernel config:  https://syzkaller.appspot.com/x/.config?x=150188feee7071a7
> dashboard link: https://syzkaller.appspot.com/bug?extid=f527b971b4bdc8e79f9e
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=12a86682a80000
> C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1520ab6ca80000
> 
> Reported-by: [email-masked]
> Fixes: 7ac7c987850c ("udp: Convert udp_sendpage() to use MSG_SPLICE_PAGES")
> 
> For information about bisection process see: https://goo.gl/tpsmEJ#bisection

Hi David, any ideas about this one? Looks like it triggers on fairly
recent upstream?